### Method

# GdkPixbuf Pixbuf flip

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_flip (
      const GdkPixbuf* src,
      gboolean horizontal
    )

#### Description [src]

Flips a pixbuf horizontally or vertically and returns the result in a new pixbuf.

Available since: | 2.6

#### Parameters

`horizontal` | `gboolean`
| `TRUE` to flip horizontally, `FALSE` to flip vertically.

#### Return value

Returns: | `GdkPixbuf`
| The new pixbuf.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.